## trufflehog 3.90.11

=== Makefile ===
PROTOS_IMAGE ?= trufflesecurity/protos:1.22

.PHONY: check
.PHONY: lint
.PHONY: test
.PHONY: test-race
.PHONY: run
.PHONY: install
.PHONY: protos
.PHONY: protos-windows
.PHONY: vendor
.PHONY: dogfood

dogfood:
	CGO_ENABLED=0 go run . git file://. --json --log-level=2

install:
	CGO_ENABLED=0 go install .

check:
	go fmt $(shell go list ./... | grep -v /vendor/)
	go vet $(shell go list ./... | grep -v /vendor/)

lint:
	golangci-lint run --enable bodyclose --enable copyloopvar --enable misspell --out-format=colored-line-number --timeout 10m

test-failing:
	CGO_ENABLED=0 go test -timeout=5m $(shell go list ./... | grep -v /vendor/) | grep FAIL

test:
	CGO_ENABLED=0 go test -timeout=5m $(shell go list ./... | grep -v /vendor/)

test-integration:
	CGO_ENABLED=0 go test -timeout=5m -tags=integration $(shell go list ./... | grep -v /vendor/)

test-race:
	CGO_ENABLED=1 go test -timeout=5m -race $(shell go list ./... | grep -v /vendor/)

test-detectors:
	CGO_ENABLED=0 go test -tags=detectors -timeout=5m $(shell go list ./... | grep pkg/detectors)

test-community:
	CGO_ENABLED=0 go test -timeout=5m $(shell go list ./... | grep -v /vendor/ | grep -v pkg/sources | grep -v pkg/analyzer/analyzers)

bench:
	CGO_ENABLED=0 go test $(shell go list ./pkg/secrets/... | grep -v /vendor/) -benchmem -run=xxx -bench .

run:
	CGO_ENABLED=0 go run . git file://. --json

run-debug:
	CGO_ENABLED=0 go run . git file://. --json --log-level=2

protos:
	docker run --rm -u "$(shell id -u)" -v "$(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))":/pwd "${PROTOS_IMAGE}" bash -c "cd /pwd; /pwd/scripts/gen_proto.sh"

protos-windows:
	docker run --rm -v "$(shell cygpath -w $(shell pwd))":/pwd "${PROTOS_IMAGE}" bash -c "cd /pwd; ./scripts/gen_proto.sh"

release-protos-image:
	docker buildx build --push --platform=linux/amd64,linux/arm64 \
	-t ${PROTOS_IMAGE} -f hack/Dockerfile.protos .

test-release:
	goreleaser release --clean --skip-publish --snapshot

## trufflehog 2.2.1

=== debian/changelog ===
trufflehog (2.2.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:33:15 +0200

trufflehog (2.2.1-0kali1) kali-dev; urgency=medium

  * Initial release (see 5076)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 02 Sep 2021 16:23:56 +0200

=== debian/control ===
Source: trufflehog
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
Standards-Version: 4.6.0
Homepage: https://github.com/trufflesecurity/truffleHog
Rules-Requires-Root: no

Package: trufflehog
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-trufflehogregexes
Description: Searches through git repositories for secrets
 This package contains a utitlity to search through git repositories for
 secrets, digging deep into commit history and branches. This is effective at
 finding secrets accidentally committed.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=trufflehog

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: trufflehog -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
https://pypi.debian.net/truffleHog/truffleHog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## trufflehog 3.57.0

=== debian/changelog ===
trufflehog (3.57.0-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * Update debian/watch
  * New upstream version 3.57.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 29 Sep 2023 13:58:33 +0200

=== debian/control ===
Source: trufflehog
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-atotto-clipboard-dev,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-aws-smithy-go-dev,
               golang-github-aymanbagabas-go-osc52-dev,
               golang-github-azuread-microsoft-authentication-library-for-go-dev,
               golang-github-charmbracelet-glamour-dev,
               golang-github-charmbracelet-lipgloss-dev,
               golang-github-containerd-console-dev,
	       golang-github-dimchansky-utfbom-dev,
               golang-github-dvsekhvalnov-jose2go-dev,
               golang-github-fatih-color-dev,
               golang-github-felixge-fgprof-dev,
               golang-github-getsentry-sentry-go-dev,
               golang-github-go-errors-errors-dev,
               golang-github-go-git-go-git-dev,
               golang-github-go-ldap-ldap-dev,
               golang-github-go-logr-logr-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-gobwas-glob-dev,
               golang-github-golang-jwt-jwt-dev,
               golang-github-google-go-containerregistry-dev,
               golang-github-gregjones-httpcache-dev,
               golang-github-hashicorp-go-retryablehttp-dev,
               golang-github-hashicorp-golang-lru-dev,
               golang-github-jlaffaye-ftp-dev,
               golang-github-joho-godotenv-dev,
               golang-github-jpillora-overseer-dev,
               golang-github-klauspost-cpuid-dev,
               golang-github-klauspost-pgzip-dev,
               golang-github-lib-pq-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-muesli-ansi-dev,
               golang-github-muesli-cancelreader-dev,
               golang-github-muesli-reflow-dev,
               golang-github-patrickmn-go-cache-dev,
               golang-github-paulbellamy-ratecounter-dev,
               golang-github-pierrec-lz4-dev,
               golang-github-pkg-browser-dev,
               golang-github-pkg-diff-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-rabbitmq-amqp091-go-dev,
               golang-github-sahilm-fuzzy-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-ulikunitz-xz-dev,
               golang-github-xanzy-go-gitlab-dev,
               golang-go.uber-zap-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-xerrors-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-h2non-filetype.v1-dev,
               golang-k8s-sigs-yaml-dev,
               golang-mongodb-mongo-driver-dev
Standards-Version: 4.6.2
Homepage: https://github.com/trufflesecurity/truffleHog
Vcs-Browser: https://gitlab.com/kalilinux/packages/trufflehog
Vcs-Git: https://gitlab.com/kalilinux/packages/trufflehog.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/trufflesecurity/trufflehog

Package: trufflehog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Searches through git repositories for secrets
 This package contains a utitlity to search through git repositories for
 secrets, digging deep into commit history and branches. This is effective at
 finding secrets accidentally committed.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export GOCACHE = $(CURDIR)/_build
export GOPATH = $(CURDIR)/_build
export GOPROXY=off
export GO111MODULE=off

%:
	dh $@ --with=golang --buildsystem=golang --builddirectory=_build

execute_after_dh_auto_configure:
	cp -av debian/vendor _build/src/github.com/trufflesecurity/trufflehog

override_dh_auto_install:
	dh_auto_install -- --no-source
	mv debian/trufflehog/usr/bin/generate debian/trufflehog/usr/bin/trufflehog-generate

override_dh_auto_test:
	# do not run tests

=== debian/tests/control ===
Test-Command: trufflehog --help
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/trufflesecurity/trufflehog/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## trufflehog 3.60.4

=== debian/changelog ===
trufflehog (3.60.4-1) unstable; urgency=medium

  * Upstream release

 -- Mikhail Potemkin <potemkinmr@gmail.com>  Sun, 07 Dec 2025 17:49:31 +0300

trufflehog (3.60.0-1) unstable; urgency=medium

  * Initial release

 -- Mikhail Potemkin <potemkinmr@gmail.com>  Wed, 19 Nov 2025 22:26:59 +0300

=== debian/control ===
Source: trufflehog
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mikhail Potemkin <potemkinmr@gmail.com>,
Rules-Requires-Root: no
Build-Depends: archiver,
               bitfinex-api-go,
               bubblezone,
               debhelper-compat (= 13),
               depaware,
               dh-sequence-golang,
               go-server-sdk,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-aymanbagabas-go-osc52-dev,
               golang-github-azure-azure-sdk-for-go-sdk-dev,
               golang-github-azure-go-autorest-dev,
               golang-github-azuread-microsoft-authentication-library-for-go-dev,
               golang-github-bobusumisu-aho-corasick-dev,
               golang-github-bradleyfalzon-ghinstallation-dev,
               golang-github-charmbracelet-bubbles-dev,
               golang-github-charmbracelet-bubbletea-dev,
               golang-github-charmbracelet-glamour-dev,
               golang-github-charmbracelet-lipgloss-dev,
               golang-github-couchbase-gocb-dev,
               golang-github-denisenkom-go-mssqldb-dev,
               golang-github-fatih-color-dev,
               golang-github-felixge-fgprof-dev,
               golang-github-getsentry-sentry-go-dev,
               golang-github-go-errors-errors-dev,
               golang-github-go-git-go-git-dev,
               golang-github-go-ldap-ldap-dev,
               golang-github-go-logr-logr-dev,
               golang-github-go-logr-zapr-dev,
               golang-github-go-sql-driver-mysql-dev,
               golang-github-gobwas-glob-dev,
               golang-github-golang-jwt-jwt-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-go-containerregistry-dev,
               golang-github-google-go-github-dev,
               golang-github-googleapis-gax-go-dev,
               golang-github-hashicorp-go-retryablehttp-dev,
               golang-github-hashicorp-golang-lru-dev,
               golang-github-jlaffaye-ftp-dev,
               golang-github-joho-godotenv-dev,
               golang-github-kylelemons-godebug-dev,
               golang-github-marusama-semaphore-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-muesli-reflow-dev,
               golang-github-patrickmn-go-cache-dev,
               golang-github-paulbellamy-ratecounter-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-rabbitmq-amqp091-go-dev,
               golang-github-redis-go-redis-dev,
               golang-github-sergi-go-diff-dev,
               golang-github-stretchr-testify-dev,
               golang-github-thezeroslave-zapsentry-dev,
               golang-github-trufflesecurity-disk-buffer-reader-dev,
               golang-github-xanzy-go-gitlab-dev,
               golang-go.uber-mock-dev,
               golang-go.uber-zap-dev,
               golang-google-cloud-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-exp-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-text-dev,
               golang-google-api-dev,
               golang-google-protobuf-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-h2non-filetype.v1-dev,
               golang-gopkg-h2non-gock.v1-dev,
               golang-gopkg-mcuadros-go-syslog.v2-dev,
               golang-k8s-sigs-yaml-dev,
               golang-mongodb-mongo-driver-dev,
               golang-pq-dev,
               gosnowflake,
               overseer,
               protoc-gen-validate,
               rfc5424,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://github.com/Mikhail-Potemkin/trufflehog
Vcs-Git: https://github.com/Mikhail-Potemkin/trufflehog.git
Homepage: https://github.com/trufflesecurity/trufflehog
XS-Go-Import-Path: github.com/trufflesecurity/trufflehog

Package: trufflehog
Section: golang
Architecture: any
Depends: git,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Find, verify, and analyze leaked credentials (program)
 TruffleHog is the most powerful secrets Discovery, Classification, 
 Validation, and Analysis tool. In this context, secret refers to 
 a credential a machine uses to authenticate itself to another machine. 
 This includes API keys, database passwords, private encryption keys, 
 and more...

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	mkdir -p _build/src/github.com/trufflesecurity/trufflehog/pkg/detectors/privatekey/
	cp -f pkg/detectors/*.txt _build/src/github.com/trufflesecurity/trufflehog/pkg/detectors/
	cp -f pkg/detectors/privatekey/list.txt _build/src/github.com/trufflesecurity/trufflehog/pkg/detectors/privatekey/
	dh_auto_build

override_dh_auto_test:
	echo "Skipping tests"

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/trufflesecurity/trufflehog/tags .*/v?(\d\S*)\.tar\.gz debian

## trufflehog 3.90.11

=== debian/changelog ===
trufflehog (3.90.11-0kali1) kali-dev; urgency=medium

  * New upstream version 3.90.11
  * Refresh patch
  * Update debian/vendor
  * Fix the build for the new upstream release
  * Update my email

 -- Sophie Brun <sophie@kali.org>  Thu, 23 Oct 2025 16:05:34 +0200

=== debian/control ===
Source: trufflehog
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/trufflesecurity/truffleHog
Vcs-Browser: https://gitlab.com/kalilinux/packages/trufflehog
Vcs-Git: https://gitlab.com/kalilinux/packages/trufflehog.git
XS-Go-Import-Path: github.com/trufflesecurity/trufflehog

Package: trufflehog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Searches through git repositories for secrets
 This package contains a utitlity to search through git repositories for
 secrets, digging deep into commit history and branches. This is effective at
 finding secrets accidentally committed.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export GOCACHE = $(CURDIR)/_build
export GOPATH = $(CURDIR)/_build
export GOPROXY=off

%:
	dh $@ --with=golang --buildsystem=golang --builddirectory=_build

execute_after_dh_auto_configure:
	cp -av debian/vendor _build/src/github.com/trufflesecurity/trufflehog
	# copy non *.go files in _build
	cp pkg/analyzer/analyzers/notion/scopes.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/notion/scopes.json
	cp pkg/analyzer/analyzers/opsgenie/scopes.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/opsgenie/scopes.json
	cp pkg/analyzer/analyzers/dropbox/scopes.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/dropbox/scopes.json
	cp pkg/analyzer/analyzers/datadog/scopes.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/datadog/scopes.json
	cp pkg/analyzer/analyzers/posthog/scopes.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/posthog/scopes.json
	cp pkg/analyzer/analyzers/shopify/scopes.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/shopify/scopes.json
	cp pkg/analyzer/analyzers/planetscale/scopes.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/planetscale/scopes.json
	cp pkg/analyzer/analyzers/digitalocean/scopes.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/digitalocean/scopes.json
	cp pkg/analyzer/analyzers/figma/endpoints.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/figma/endpoints.json
	cp pkg/analyzer/analyzers/monday/query.graphql _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/monday/query.graphql
	cp pkg/analyzer/analyzers/mux/tests.json _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/mux/tests.json
	cp pkg/detectors/fp_badlist.txt _build/src/github.com/trufflesecurity/trufflehog/pkg/detectors/fp_badlist.txt
	cp pkg/analyzer/analyzers/stripe/restricted.yaml _build/src/github.com/trufflesecurity/trufflehog/pkg/analyzer/analyzers/stripe/restricted.yaml
	cp pkg/detectors/fp_programmingbooks.txt _build/src/github.com/trufflesecurity/trufflehog/pkg/detectors/fp_programmingbooks.txt
	cp pkg/detectors/fp_uuids.txt _build/src/github.com/trufflesecurity/trufflehog/pkg/detectors/fp_uuids.txt
	cp pkg/detectors/fp_words.txt _build/src/github.com/trufflesecurity/trufflehog/pkg/detectors/fp_words.txt
	cp pkg/detectors/privatekey/list.txt _build/src/github.com/trufflesecurity/trufflehog/pkg/detectors/privatekey/list.txt

override_dh_auto_build:
	cd _build/src/github.com/trufflesecurity/trufflehog/ && go install -trimpath -v -p 16

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	# do not run tests

## trufflehog 3.91.0

=== debian/changelog ===
trufflehog (3.91.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.91.0

 -- Sophie Brun <sophie@kali.org>  Mon, 17 Nov 2025 17:18:12 +0100

trufflehog (3.90.12-0kali1) kali-dev; urgency=medium

  * Only available on amd64 and arm64
  * New upstream version 3.90.12
  * Update debian/vendor

 -- Sophie Brun <sophie@kali.org>  Thu, 30 Oct 2025 16:11:37 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 XS-Go-Import-Path: github.com/trufflesecurity/trufflehog
 
 Package: trufflehog
-Architecture: any
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Searches through git repositories for secrets
  This package contains a utitlity to search through git repositories for

## trufflehog 3.92.4

=== debian/changelog ===
trufflehog (3.92.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.92.4
  * Update debian/vendor

 -- Sophie Brun <sophie@kali.org>  Fri, 16 Jan 2026 14:21:30 +0100

## trufflehog 3.92.5

=== debian/changelog ===
trufflehog (3.92.5-0parrot2) echo; urgency=medium

  * Disable go toolchain specification

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 18 Jan 2026 05:17:09 +0100

trufflehog (3.92.5-0parrot1) echo; urgency=medium

  * Import new upstream release

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 18 Jan 2026 05:07:36 +0100

trufflehog (3.90.11-0parrot1) echo; urgency=medium

  * Import Kali tool.
  * Fix go toolchain.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 23 Nov 2025 23:15:09 +0100

=== debian/control ===
Source: trufflehog
Section: misc
Priority: optional
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
Standards-Version: 4.6.2
Homepage: https://github.com/trufflesecurity/truffleHog
XS-Go-Import-Path: github.com/trufflesecurity/trufflehog

Package: trufflehog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Searches through git repositories for secrets
 This package contains a utitlity to search through git repositories for
 secrets, digging deep into commit history and branches. This is effective at
 finding secrets accidentally committed.

## trufflehog 3.93.5

=== debian/changelog ===
trufflehog (3.93.5-0kali1) kali-dev; urgency=medium

  * New upstream version 3.93.5
  * Update debian/vendor

 -- Sophie Brun <sophie@kali.org>  Fri, 27 Feb 2026 15:55:51 +0100

trufflehog (3.92.5-0kali1) kali-dev; urgency=medium

  * New upstream version 3.92.5

 -- Sophie Brun <sophie@kali.org>  Wed, 21 Jan 2026 10:22:05 +0100
